Page MenuHomePhabricator

Wikimedia Hackathon 2019: Design a flowchart
Closed, ResolvedPublicTue, Apr 30

Description

We have an additional design task request, and I will attempt to use your format to ask!
@Halfak @WMDE-Fisch & @srishakatux and I should be kept in the loop on this / @Halfak will be the main point of contact.

What is the problem?
We need to create a visual flow chart for hackathons around how different people should participate in the opening ceremony, skill share board, poster and project matching session, and mentor matching sessions. We have a lot of different ways for people to participate and we need to visually explain who should do what based on what they are trying to accomplish. Possibly we would have two charts - one for mentors/project owners and one for newcomers / people who don't know what to work on.

How can we help you?
@hdothiduc should meet with @Halfak to get an initial start / idea for the project. Aaron will bring the information back to the mentoring program organizers group and we will begin to create the content for the flow chart together. Then Hang can help us create clear / simple visualizations of these different steps and processes.

What does success look like?
We have a flowchart or two uploaded to commons at least 3 weeks before the Wikimedia Hackathon in Prague starts (May 16). We will put this on the event's mediawiki page and also print out a few copies to post around the event. We will use this at future hackathons as well.

What is your deadline?
May 1 at the latest, earlier if possible

Details

Due Date
Tue, Apr 30, 10:00 PM

Event Timeline

Rfarrand created this task.Mar 28 2019, 6:57 PM
Rfarrand triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 6:57 PM

Hello everyone!

Sounds like a fun project. To get started, I actually think the content should be ready.
Aaron, do you need any input from me before creating the content for the flowchart with the mentoring program organizers group?

If you have any references of "this is what we imagine it could be/look like", feel free to add to the task description.

I don't think I need anything to get started. I'll just make a UML style flowchart and then we can pick things up from there. I imagine we'll want to iterate on what the flowchart depicts a bit, so I'll be pinging rfarrand, srishakatux and WMDE-Fisch (not pinging now on purpose) for review when I have a draft and then we'll ping you again when we think we have something that makes sense.

hdothiduc set Due Date to Tue, Apr 30, 10:00 PM.Mar 31 2019, 10:59 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 31 2019, 11:00 AM
Rfarrand added a subscriber: NataliaSzel.EditedApr 1 2019, 1:43 PM

Yay! That was fast & this is a great start.
A few ideas:

  • At the top of the chart add some clarifying text around what this it - so entitle it something like: "How to navigate your first day at WMHack" or "How to have a productive hackathon" or something else.
  • Clarify "planning to work on a specific project" to be something like "do you have a specific project in mind" or "do you already know what you want to work on"
  • "Looking for collaborators" should have a "no" option that says something to the effect of "go do your thing, but make sure to sign up for the showcase!"
  • Maybe make the empty point above Learn a specific skill, find a mentor, and find a project should be "can we help you....." or "do you want to......"

@NataliaSzel what do you think!?

Looks good :-) just some points from my side:

  • The direct line from "make a poster" to "bring your poster to the.." should probably start at "is it newcomer friendly" and should have a "no".
  • I think that there should be a path from "Do you already know what you want to do" -> "No" to "Want to be a mentor?".
    • So that "empty" point might be "Do you want to..."
      • "...find a project?"
      • "...learn a specific skill?"
      • "...tech a specific skill?"
      • "...get help from a mentor?"
      • "...be a mentor?"
    • Might get complicated with the lines from the "right" side then... but I guess the idea is clear ;-)
  • We might want to add things like "regularly check the skill share board if someone has left an "I'm interested" note".

@srishakatux or @Bmueller any thoughts or updates or suggested changes for the next iteration before @Halfak incorporates everything?

What we currently have in the diagram looks perfect! An alternative might be that these three are at the same level: Planning to work on a specific project, Want a mentor, Want to be a mentor. Also, as each one of these three ties to a specific audience: folks ready to hack, newcomers, mentors, etc., they all possibly fall under the bigger question: "Do you already know what you want to do?".

Hi all!
For the May 1 deadline I should start this flowchart some time next week ~April 17 to give us plenty of time to iterate if necessary.

I think the first flowchart is a great start. Do you want to incorporate the feedback and provide an update?

Another clarifying question:
What is the ideal format (pdf, png?) and dimensions (just letter/A4, landscape or portrait etc)?

@Halfak would you be able to quickly incorporate the changes that we have discussed here into the draft so that @hdothiduc can begin working on the final of this? I have a meeting today where I will also point a few additional folks to check this to make sure they think we are on the right track.

Hang: we will be using this both as an image on our event's wiki page as well as printing it out larger (probably something even larger than letter paper) at the event. Do you have suggestions for the formatting?

I don't have a preference for the format and will probably see what will fit best with the final content.
So if you have any constraints (e.g. we only want portrait format), then I can take that into consideration when designing.
I want to gather as much information as possible about your use case as possible.

So it seems like creating a pdf for maybe A3 or A2, either portrait or landscape will be good.

Hey folks. I'm sorry to not respond sooner. I've been AFK for a tech management summit and I'm on vacation until Wednesday, April 17th. I've shared the document with everyone in this task with the hopes that changes could be made by others as well. Please feel free to make edits or I'll pick this up again when I get back on the 17th.

@hdothiduc do you feel comfortable incorporating the suggestions from this task while creating the final? Or do you prefer that we have exact content before you start?
If that is the case I can also create a new hand drawing a send a photo or also try editing the document Aaron has starting on.

Hi Rachel, it would be great if you could make the edits. I think you would know much better how to incorporate the feedback (in case also you don't take everything).
But don't spend too much time on it! Hand drawing is fine!

hand drawn chart emails to @hdothiduc :)

hdothiduc moved this task from To-Do to Started on the CommRel-Design board.
hdothiduc raised the priority of this task from Normal to High.

Hey there!
Here is a first draft. I mainly used Rachel's hand drawing.
But made some tweaks regarding: not having duplicates in end stages (e.g. there is only one box saying "Attend mentor matching sessions")
I also opted for the shorter sentences like in Aaron's first draft (let me know if I sacrificed too much context in any of those boxes). I do believe less words make it easier to skim.
Also left out the "2019", so it could be reusable for other hackathons.

I am not sure yet about the colors - what do you think? The green is set, but does orange and blue work with it (does it fit the vibe of Wikimedia hackathons)?

Also a question is, do we need a legend? Gray arrows just mean "continue to next box/step"

Here's the png (the final version can be delivered as A2 pdf)

It's really easy to read at a glance. I like it.

Do you think we should have something to accompany this that explains what a "Mentor matching session" or "Skill share board" is and where to find it?

Yay, I also really like it. \o/

Do you think we should have something to accompany this that explains what a "Mentor matching session" or "Skill share board" is and where to find it?

We could also put that piece of information on extra sheets ( probably next to that poster ) where we then also can add-hoc-ly add time and place of the sessions.

THIS IS PERFECT!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Can you add it to Wikimedia Commons!? Thank you!!!

Macro wikilove:
Apologies for the kitsch. I just discovered the meme feature here on Phab. Awesome work Hang!

Hahaha, thank you!

Sure I can upload it. Would you prefer jpg or pdf?

I'm wondering which format allows easiest further editing and remixing. If SVG is not an option at all then JPEG/PNG is likely better than PDF, IMHO.

I'd prefer PNG over JPG if SVG or another vector format is not an option. No one wants those JPG artifacts messing with your nice, crisp design. :D

Sounds good :)

Alright! I'll give you an SVG. At least I think I can.

(I am working in Sketch for these kind of flowcharts and the SVG export is kind of not intuitive, so I have to change some things in the file to make it work)

I'll upload it tomorrow my AM, so you'll have it when you wake up :)

hdothiduc added a comment.EditedApr 25 2019, 11:58 AM

I uploaded the SVG version here: https://commons.wikimedia.org/wiki/File:Navigating_a_Wikimedia_Hackathon_Flowchart.svg
Though the thumbnail looks fine, and the actual file is fine, when you click on it (https://upload.wikimedia.org/wikipedia/commons/7/74/Navigating_a_Wikimedia_Hackathon_Flowchart.svg), for some reason the headline on the big preview on the file page looks off.

So meanwhile I also uploaded a PNG version: https://commons.wikimedia.org/wiki/File:HackathonFlowchartA2@2x.png
(I requested to have it renamed to the same name as the SVG)

Yay!!!
This went out in our email to participants on Thursday and now!!:
https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2019/Mentoring_Program#Helpful_Flowchart_for_your_first_day!

Awesome. Thanks again @hdothiduc :D / all good to resolve this task on my end. Anything else you need from me?

hdothiduc added a comment.EditedMon, Apr 29, 4:37 PM

Oh great!
Well, I am happy when you are happy! Feel free to close the task :)

Again, the SVG might not look accurate in the preview, but when you click the actual file/download it, it is accurate - so it's possible to make edits in the future!

hdothiduc closed this task as Resolved.Mon, May 13, 12:59 PM

I have asked around a little bit and the preview of the SVG might have that issue because of this bug: T36947: Incorrect text positioning in SVG rasterization (scale/transform; font-size; kerning)

But again, the actual SVG file is accurate and functional for future remixing or changes. So, I am closing this task :)